Bric::Util::Grp::User - Interface to Bric::Biz::Person::User Groups $LastChangedRevision$ $LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $ See Bric::Util::Grp See Bric::Util::Grp.

Constructors
Inherited from Bric::Util::Grp.

Destructors
Dummy method to prevent wasting time trying to AUTOLOAD DESTROY. Throws: NONE. Side Effects: NONE. Notes: NONE.

Public Class Methods
This will return an anonymous hash of the supported classes in the group as keys with the short name as a value. The short name is used to construct the member table names and the foreign key in the table. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns a list or anonymous array of the supported classes in the group that can have their "list()" methods called in succession to assemble a list of member objects. This data varies from that stored in the keys in the hash reference returned by "get_supported_classes" in that some classes' "list()" methods may inherit from others, and we don't want the same "list()" method executed more than once. Throws: NONE. Side Effects: NONE. Notes: NONE. Forces all Objects to be considered as this class. Throws: NONE. Side Effects: NONE. Notes: NONE. This will return the class ID that this group is associated with. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns false, because this is not a secret type of group, but one that can be used by users. Throws: NONE. Side Effects: NONE. Notes: NONE. Returns a Bric::Util::Class object describing this class. Throws: NONE. Side Effects: NONE. Notes: Uses Bric::Util::Class->lookup() internally. Returns a Bric::Util::Class object describing the members of this group. Throws: NONE. Side Effects: NONE. Notes: Uses Bric::Util::Class->lookup() internally.

Public Instance Methods
Most are inherited from Bric::Util::Grp. However, there are special methods here for managing privileges. Returns a list or anonymous array of Bric::Util::Priv objects set for this group. To manipulate those objects, see Bric::Util::Priv for its interface. Call $grp->save() to save your changes. Throws: NONE. Side Effects: NONE. Notes: NONE. Creates and returns a new Bric::Util::Priv object for this group. Pass in the Bric::Util::Grp object to which to grant the privilege, and the privilege value. Call $grp->save() to save your changes. Throws: NONE. Side Effects: NONE. Notes: NONE. Deletes the privileges associated with this group by their IDs. If no Bric::Util::Priv object IDs are passed, then all the privs associated with thos group will be deleted. Call $grp->save() to save your changes. Throws: NONE. Side Effects: NONE. Notes: NONE. Saves all changes to the group, including any changes to permissions. Throws: NONE. Side Effects: NONE. Notes: NONE.

Private Constructors
NONE.

Private Class Methods
NONE.

Private Instance Methods
NONE.

Private Functions
Returns a collection of Bric::Util::Priv objects set for this group. Throws: NONE. Side Effects: NONE. Notes: NONE. NONE. David Wheeler <david@justatheory.com> Bric, Bric::Biz::Person::User, Bric::Util::Priv